%define oname OpenJPEG
%define oversion %(echo %{version} | sed -e 's/\\./_/g')

%define major 1
%define lib_name %mklibname %{name} %{major}
%define lib_dev %mklibname %{name} -d

%define common_description The OpenJPEG library is an open-source JPEG 2000 codec written in C\
language. It has been developed in order to promote the use of JPEG\
2000, the new still-image compression standard from the Joint\
Photographic Experts Group (JPEG).

Name: openjpeg
Version: 1.5.0
Release: %mkrel 1
Summary: An open-source JPEG 2000 codec 
Source0: http://openjpeg.googlecode.com/files/%{name}-%{version}.tar.gz
Patch50: openjpeg-1.5.0-cmake_libdir.patch
Patch51: openjpeg-1.5.0-cmake_header_symlink.patch
Patch52: openjpeg-1.5.0-cmake_Config.patch
Patch100: openjpeg-1.5.0-pkgconfig_includedir.patch
License: BSD
Group: System/Libraries
Url: http://www.openjpeg.org/
BuildRequires: png-devel
BuildRequires: tiff-devel
BuildRequires: lcms2-devel
BuildRequires: cmake

%description
%{common_description}

%files
%{_bindir}/*
%{_mandir}/man1/*
%doc %{_datadir}/doc/%{name}-*/*
#---------------------------------------------

%package -n %{lib_name}
Summary: %{oname} library
Group: System/Libraries

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with the %{oname} library.

%{common_description}

%files -n %{lib_name}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

#---------------------------------------------

%package -n %{lib_dev}
Summary: Development tools for programs using the %{oname} library
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{name}-devel = %{version}-%{release}

%description -n	%{lib_dev}
This package contains the header files and libraries needed for
developing programs using the %{oname} library.

%{common_description}

%files -n %{lib_dev}
%{_includedir}/*
%{_mandir}/man3/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{name}-*/*.cmake

#---------------------------------------------

%prep
%setup -q
%patch50 -p1 -b .cmake_libdir
%patch51 -p1 -b .cmake_header_symlink
%patch52 -p1 -b .cmake_Config
%patch100 -p1 -b .pkgconfig_includedir

%build
%cmake \
  -DOPENJPEG_INSTALL_BIN_DIR:PATH=%{_bindir} \
  -DOPENJPEG_INSTALL_DATA_DIR:PATH=%{_datadir} \
  -DOPENJPEG_INSTALL_INCLUDE_DIR:PATH=%{_includedir} \
  -DOPENJPEG_INSTALL_LIB_DIR:PATH=%{_libdir}
%make

%install
%makeinstall_std -C build


%changelog

* Thu Apr 12 2012 fwang <fwang> 1.5.0-1.mga2
+ Revision: 230350
- sync with fedora patches
- new version 1.5.0

* Sun Dec 25 2011 fwang <fwang> 1.4-3.mga2
+ Revision: 187415
- rebuild for new tiff

* Fri Oct 07 2011 fwang <fwang> 1.4-2.mga2
+ Revision: 152637
- fix header of openjpeg

* Fri Oct 07 2011 fwang <fwang> 1.4-1.mga2
+ Revision: 152599
- use plain lib
- specify libdir
- new version 1.4, sync with fedora

* Sat Jan 15 2011 ahmad <ahmad> 1.3-7.mga1
+ Revision: 19348
- imported package openjpeg


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3-7mdv2011.0
+ Revision: 607018
- rebuild

* Mon Dec 21 2009 Funda Wang <fwang@mandriva.org> 1.3-6mdv2010.1
+ Revision: 480780
- add gentoo patch (bug#50606)

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.3-5mdv2010.0
+ Revision: 426345
- rebuild

* Sun Aug 03 2008 Helio Chissini de Castro <helio@mandriva.com> 1.3-4mdv2009.0
+ Revision: 262256
- Push new openjpeg build. Needed for kde4 okular

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.3-3mdv2009.0
+ Revision: 254780
- rebuild

* Sun Mar 02 2008 Olivier Blin <oblin@mandriva.com> 1.3-1mdv2008.1
+ Revision: 177766
- fix lib install on x86_64
- 1.3
- rediff inst patch
- use makeinstall_std

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 1.1.1-1mdv2008.1
+ Revision: 141036
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Mar 11 2007 Olivier Blin <oblin@mandriva.com> 1.1.1-1mdv2007.1
+ Revision: 141340
- 1.1.1

* Mon Jan 08 2007 Olivier Blin <oblin@mandriva.com> 1.0-2mdv2007.1
+ Revision: 106206
- remove misleading description
- remove empty package

* Mon Jan 08 2007 Olivier Blin <oblin@mandriva.com> 1.0-1mdv2007.1
+ Revision: 106121
- initial openjpeg release
- Create openjpeg

